1 Reply Latest reply on Nov 3, 2011 7:52 PM by Radoslav Husar

    trying to use JSF 1.2 in AS 7

    Kevin Raper Newbie

      I am trying to use JSF 1.2 in jboss AS 7.  I've added a jboss-deployment-structure.xml to my ear\meta-inf that I thought would accomplish this but am getting the following message in the log:

       

      WARN [MSC service thread 1-2] (org.ajax4jsf.webapp.BaseXMLFilter:checkJSFVersion:150)  - This version of RichFaces implementation compatible for JSF1.2, but running under JSF2.0

       

      my  jboss-deployment-structure.xml is:

       

      <jboss-deployment-structure>

          <deployment>

              <exclusions>

                  <module name="javax.faces.api" slot="main" />

                  <module name="com.sun.jsf-impl" slot="main" />

                  <module name="javax.faces.api" slot="1.2" />

                  <module name="com.sun.jsf-impl" slot="1.2" />

              </exclusions>

              <dependencies>

                  <module name="org.apache.log4j" />

                  <module name="org.dom4j" />

                  <module name="org.apache.commons.logging" />

                  <module name="org.apache.commons.collections" />

              </dependencies>

          </deployment>

      </jboss-deployment-structure>

       

      Any help is greatly appreciated!